/* Copyright (C) 1996,1997,1998,1999 by Salvador E. Tropea (SET),
   see copyrigh file for details */
int GZFiles_CheckForGZIP(void);
int GZFiles_IsGZ(FILE *f);
int GZFiles_Expand(char *dest, char *orig);
int GZFiles_ExpandHL(char *dest, char *orig);

#ifndef SUP_GZ
#define gzFile FILE *
#define gzopen fopen
#define gzwrite(b,l,s) fwrite(b,l,1,s)
#else
#include <zlib.h>
#endif

class TGZFileWrite
{
public:
 TGZFileWrite(char *fileName, int compressed=0);
 ~TGZFileWrite();
 size_t write(void *buffer, size_t len);
 int ok;

private:
 int compressed;
 FILE *f;
 gzFile fc;
};
